
JN?=

TOOLCHAIN_DIR=/opt/fsl-imx-xwayland/4.14-sumo

MX_CROSS_COMPILE?=${TOOLCHAIN_DIR}/sysroots/x86_64-pokysdk-linux/usr/bin/aarch64-poky-linux/aarch64-poky-linux-
SYSROOTFLAGS?=--sysroot=${TOOLCHAIN_DIR}/sysroots/aarch64-poky-linux

CFLAGS_EXTRA=" -O2 -pipe -g -feliminate-unused-debug-types "


CC_EXTRA?=CC="${MX_CROSS_COMPILE}gcc ${SYSROOTFLAGS}"
LD_EXTRA?=LD="${MX_CROSS_COMPILE}ld ${SYSROOTFLAGS}"


MX_MPU=MX8
MX_SOC=iMX8MM
MX_PLAT=imx8mm
MX_ARCH?=arm64





#UBOOT_CONF=imx8mq_evk
UBOOT_CONF=imx8mm_evk
UBOOT_NODTB_BIN=u-boot-nodtb.bin
UBOOT_SPL_BIN=u-boot-spl.bin
UBOOT_IMX_DTB=fsl-imx8mm-evk.dtb
UBOOT_MKIMAGE=mkimage
UBOOT_ELF=u-boot
UBOOT_BIN=${UBOOT_NODTB_BIN}

UBOOT_DIR=${PWD}/u-boot
UBOOT_DTB_DIR=${UBOOT_DIR}/arch/arm/dts
UBOOT_ELF_PATH=${UBOOT_DIR}/${UBOOT_ELF}
UBOOT_BIN_PATH=${UBOOT_DIR}/${UBOOT_BIN}
UBOOT_DTB_PATH=${UBOOT_DTB_DIR}/${UBOOT_IMX_DTB}
UBOOT_CONF_PATH=${UBOOT_DIR}/include/configs/



SPL_DIR=${UBOOT_DIR}/spl
SPL_BIN_PATH=${SPL_DIR}/${UBOOT_SPL_BIN}

ATF_BIN=bl31.bin
ATF_DIR=${PWD}/atf
ATF_BIN_PATH=${ATF_DIR}/build/${MX_PLAT}/release/${ATF_BIN}





FS_DIR=${PWD}/fs
FS_TAR_DIR=${FS_DIR}/tar
FS_TAR_SCRIPT=${FS_TAR_DIR}/rootfs.tar.gz.sh


FS_UBI_DIR=${FS_DIR}/ubi
FS_UBI_SCRIPT=${FS_UBI_DIR}/rootfs.ubi.sh
FS_UBI_CFG=${FS_UBI_DIR}/ubinize.cfg
FS_UBI_CFG_SCRIPT=${FS_UBI_DIR}/ubinize.cfg.sh


FS_CPIO_DIR=${FS_DIR}/cpio
FS_CPIO_SCRIPT=${FS_CPIO_DIR}/rootfs.cpio.sh

ROOTFS_DIR=${PWD}/rootfs

OUT_BIN_DIR=${PWD}/out
OUT_UBOOT_BIN_DIR=${OUT_BIN_DIR}/uboot
OUT_MOD_DIR=${OUT_BIN_DIR}/modules
OUT_MFG_DIR=${OUT_BIN_DIR}/mfg
OUT_ROOTFS_TAR=$(OUT_BIN_DIR)/$(MX_MPU).rootfs.tar.bz2
OUT_ROOTFS_UBIFS=$(OUT_BIN_DIR)/$(MX_MPU).rootfs.ubifs
OUT_ROOTFS_UBI_NAND=$(OUT_BIN_DIR)/$(MX_MPU).rootfs.ubi.nand
OUT_ROOTFS_CPIO=$(OUT_BIN_DIR)/$(MX_MPU).rootfs.cpio

OUT_ZIMAGE=${OUT_BIN_DIR}/zImage
OUT_ZIMAGE_DTB=${OUT_BIN_DIR}/zImage_dtb
OUT_UIMAGE_DTB=${OUT_BIN_DIR}/uImage_dtb

OUT_DTB=${OUT_BIN_DIR}/${DTB}

CMD_MKUBOOT_SH=$(shell cat $(KERN_DIR)/arch/arm/boot/.uImage.cmd |cut -d'=' -f2 |cut -d' ' -f -18)


KERN_DIR=${PWD}/linux
KERN_CONF_FILE=${KERN_DIR}/arch/${MX_ARCH}/configs/${KERN_CONF}
KERN_MFG_CONF_FILE=${KERN_DIR}/arch/${MX_ARCH}/configs/${KERN_MFG_CONF}
KERN_CONF=defconfig
KERN_DTB_DIR=freescale/
DTB=fsl-imx8mm-evk.dtb


IMX_MKIMAGE_DIR=${PWD}/imx-mkimage
IMX_MKIMAGE_IMX8M_DIR=${IMX_MKIMAGE_DIR}/iMX8M
FLASH_BIN_TARGET=flash_spl_uboot

UBOOT_NODTB_BIN_OUTPATH=${OUT_UBOOT_BIN_DIR}/$(UBOOT_NODTB_BIN)
UBOOT_SPL_OUTPATH=${OUT_UBOOT_BIN_DIR}/${UBOOT_SPL_BIN}
UBOOT_IMX_DTB_OUTPATH=${OUT_UBOOT_BIN_DIR}/${UBOOT_IMX_DTB}

FW=firmware-imx-8.5
FW_HDMI=signed_hdmi_imx8m.bin
FW_DDR1=lpddr4_pmu_train_1d_imem.bin
FW_DDR2=lpddr4_pmu_train_1d_dmem.bin
FW_DDR3=lpddr4_pmu_train_2d_imem.bin
FW_DDR4=lpddr4_pmu_train_2d_dmem.bin

FW_HDMI_PATH=${OUT_BIN_DIR}/${FW}/firmware/hdmi/cadence/${FW_HDMI}
FW_DDR1_PATH=${OUT_BIN_DIR}/${FW}/firmware/ddr/synopsys/${FW_DDR1}
FW_DDR2_PATH=${OUT_BIN_DIR}/${FW}/firmware/ddr/synopsys/${FW_DDR2}
FW_DDR3_PATH=${OUT_BIN_DIR}/${FW}/firmware/ddr/synopsys/${FW_DDR3}
FW_DDR4_PATH=${OUT_BIN_DIR}/${FW}/firmware/ddr/synopsys/${FW_DDR4}


ATF_BIN_OUTPATH=${OUT_BIN_DIR}/${ATF_BIN}



